Bug 182689 - missing lang pack for Punjabi
missing lang pack for Punjabi
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
: i18n, Reopened, Translation
Depends On:
Blocks: Indic FC6Target 204299
  Show dependency treegraph
 
Reported: 2006-02-23 21:01 EST by Lawrence Lim
Modified: 2014-03-25 20:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-08 17:13:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lawrence Lim 2006-02-23 21:01:34 EST
Description of problem:
In the current version, only 1 out of 5 supported indic locales has lang pack
included. The others bengali (bn_IN), hindi (hi_IN), punjabi (pa_IN) and tamil
(ta_IN) were not included. In addtion, korean langpack is also missing. Is it
still possible to include them at this stage?

Version-Release number of selected component (if applicable):
firefox-1.5.0.1-3

How reproducible:
Always

Steps to Reproduce:
1.start firefox in any of these locales (bn_IN,hi_IN,pa_IN,ta_IN,ko_KR)
2.
3.
  
Actual results:
everything is in english

Expected results:
application fully localised

Additional info:
# ls -l
合計 280
drwxr-xr-x 5 root root 4096  2月 20 09:26 inspector@mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-ar@firefox.mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-bg@firefox.mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-ca@firefox.mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-cs@firefox.mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-da@firefox.mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-de@firefox.mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-el@firefox.mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-en-GB@firefox.mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-es-AR@firefox.mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-es-ES@firefox.mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-eu@firefox.mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-fi@firefox.mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-fr@firefox.mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-ga-IE@firefox.mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-gu-IN@firefox.mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-he@firefox.mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-hu@firefox.mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-it@firefox.mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-ja@firefox.mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-lt@firefox.mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-mn@firefox.mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-nb-NO@firefox.mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-nl@firefox.mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-pl@firefox.mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-pt-BR@firefox.mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-ro@firefox.mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-ru@firefox.mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-sk@firefox.mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-sl@firefox.mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-sv-SE@firefox.mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-tr@firefox.mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-zh-CN@firefox.mozilla.org
drwxr-xr-x 3 root root 4096  2月 20 09:26 langpack-zh-TW@firefox.mozilla.org
Comment 1 Christopher Aillon 2006-02-24 01:09:53 EST
I don't have langpacks to use for them.
Comment 2 Lawrence Lim 2006-02-24 01:18:14 EST
For the indic locales, I was told the translations did not made it to the CVS,
so I guess its too bad. However, I noticed that korean is officially supported.

<http://www.mozilla.com/firefox/all>

Is this the URL to verify the language support?
Comment 3 A S Alam 2006-02-24 05:49:15 EST
ftp://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/1.5.0.1-candidates

URL provideing the pa-IN as well.
Comment 4 Christopher Aillon 2006-02-24 10:32:26 EST
There is an issue with some langpacks causing firefox to throw up error messages
for all locales at startup.  https://bugzilla.mozilla.org/show_bug.cgi?id=324832

pa-IN is new, it did not exist when I checked last.  Can someone verify it works?
Comment 5 A S Alam 2006-02-26 20:56:02 EST
pa-IN.xpi showing error message as mention in bug 324832 (mozilla). 

Comment 6 Christopher Aillon 2006-03-02 23:23:46 EST
Moving to target.
Comment 7 sangu 2006-03-06 07:19:59 EST
Recent lang pack for Korean  locale :
http://www.oops.org/project/Firefox/1.5/ko-update4.xpi
Comment 8 A S Alam 2006-06-14 06:41:53 EDT
update for Rawhide, Only Gujarati Package is available. all other remaining
Comment 9 A S Alam 2006-07-23 07:47:55 EDT
Punjabi (pa-IN) langauge pacakge is available

according to web site
http://www.mozilla.com/firefox/all.html
please try to include if you can
Comment 11 Christopher Aillon 2006-09-25 11:28:59 EDT
This has to be CANTFIX.  I don't speak those languages and have no way of
getting translations for these other than upstream.  I don't exclude any
languages that I don't have to (see bug
https://bugzilla.mozilla.org/show_bug.cgi?id=324832 but that is now fixed).
Comment 12 Akira TAGOH 2006-09-26 09:19:02 EDT
Sorry for bothering you and thanks for update to include Korean langpack, but at
least it looks like Punjabi langpack is available now. could you please update
firefox with it?
Comment 13 A S Alam 2006-11-13 23:57:51 EST
for following version for FF
firefox-2.0-2.fc7
pa-IN langpack is available at
ftp://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla1.8-l10n/linux-xpi/pa-IN.xpi
(mozilla site) 
It is installed properly for FF2

can you please check for latest version.

thanks
Comment 14 Christopher Aillon 2007-01-08 17:13:24 EST
Seems this is in RAWHIDE now.

Note You need to log in before you can comment on or make changes to this bug.